/// <reference types="node" />
import { AnyLayer, BaseLayer, BaseLayerData, Document, LAYER_TYPE_CLIPPING_MASK } from "../../internal";
export interface ClippingMaskData extends BaseLayerData {
    mask: AnyLayer;
    source: AnyLayer;
}
export default class ClippingMask extends BaseLayer {
    type: typeof LAYER_TYPE_CLIPPING_MASK;
    mask: AnyLayer;
    source: AnyLayer;
    constructor(clippingMaskData: ClippingMaskData, document?: Document);
    toBuffer(): Promise<Buffer>;
}
