/// <reference types="node" />
import { BaseLayer, BaseLayerData, Document, LAYER_TYPE_LAYER } from "../../internal";
export interface LayerData extends BaseLayerData {
    image: string | Buffer;
}
export default class Layer extends BaseLayer {
    _initialize: Promise<void>;
    _svg: boolean;
    type: typeof LAYER_TYPE_LAYER;
    image: string | Buffer;
    width: number;
    height: number;
    constructor(layerData: LayerData, document?: Document);
    setImage(image: string | Buffer): Promise<Layer>;
}
