import * as illustra from "./internal";
export default illustra;
export { Document, DocumentData } from "./internal";
export declare type BaseLayer = InstanceType<typeof illustra.BaseLayer>;
export { importILA, AlignOptions, AlignType, AnyLayer, BaseLayerData, BlendMode, ExportMetadata, ExportTypes, Format, LayerType, LAYER_TYPE_CLIPPING_MASK, LAYER_TYPE_ELLIPSE, LAYER_TYPE_LAYER, LAYER_TYPE_POLYGON, LAYER_TYPE_TEXT, PathOrWithMetadataOptions, ReflectDirection, Units } from "./internal";
export declare type Layer = InstanceType<typeof illustra.Layer>;
export { createLayer, LayerData } from "./internal";
export declare type ShapeLayer = InstanceType<typeof illustra.ShapeLayer>;
export { ShapeData, ShapeLayerData, ShapeLayerType } from "./internal";
export declare type Polygon = InstanceType<typeof illustra.Polygon>;
export { createPolygon, PolygonShapeData, PolygonData } from "./internal";
export declare type Ellipse = InstanceType<typeof illustra.Ellipse>;
export { createEllipse, EllipseShapeData, EllipseData } from "./internal";
export declare type TextLayer = InstanceType<typeof illustra.TextLayer>;
export { createTextLayer, TextData, TextLayerData } from "./internal";
export declare type ClippingMask = InstanceType<typeof illustra.ClippingMask>;
export { ClippingMaskData, createClippingMask } from "./internal";
export { Color, RGBA } from "./internal";
