"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __exportStar = (this && this.__exportStar) || function(m, exports) {
    for (var p in m) if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports, p)) __createBinding(exports, m, p);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.createClippingMask = exports.ClippingMask = exports.createTextLayer = exports.DEFAULT_FONT_SIZE = exports.TextLayer = exports.createEllipse = exports.Ellipse = exports.createPolygon = exports.Polygon = exports.ShapeLayer = exports.createLayer = exports.Layer = exports.importILA = exports.LAYER_TYPE_TEXT = exports.LAYER_TYPE_POLYGON = exports.LAYER_TYPE_LAYER = exports.LAYER_TYPE_ELLIPSE = exports.LAYER_TYPE_CLIPPING_MASK = exports.BLEND_MODES = exports.BaseLayer = exports.Document = void 0;
var Document_1 = require("./classes/Document/Document");
Object.defineProperty(exports, "Document", { enumerable: true, get: function () { return __importDefault(Document_1).default; } });
__exportStar(require("./classes/Document/ild/ILDData"), exports);
var BaseLayer_1 = require("./classes/BaseLayer/BaseLayer");
Object.defineProperty(exports, "BaseLayer", { enumerable: true, get: function () { return __importDefault(BaseLayer_1).default; } });
Object.defineProperty(exports, "BLEND_MODES", { enumerable: true, get: function () { return BaseLayer_1.BLEND_MODES; } });
Object.defineProperty(exports, "LAYER_TYPE_CLIPPING_MASK", { enumerable: true, get: function () { return BaseLayer_1.LAYER_TYPE_CLIPPING_MASK; } });
Object.defineProperty(exports, "LAYER_TYPE_ELLIPSE", { enumerable: true, get: function () { return BaseLayer_1.LAYER_TYPE_ELLIPSE; } });
Object.defineProperty(exports, "LAYER_TYPE_LAYER", { enumerable: true, get: function () { return BaseLayer_1.LAYER_TYPE_LAYER; } });
Object.defineProperty(exports, "LAYER_TYPE_POLYGON", { enumerable: true, get: function () { return BaseLayer_1.LAYER_TYPE_POLYGON; } });
Object.defineProperty(exports, "LAYER_TYPE_TEXT", { enumerable: true, get: function () { return BaseLayer_1.LAYER_TYPE_TEXT; } });
__exportStar(require("./classes/BaseLayer/align"), exports);
__exportStar(require("./classes/BaseLayer/exportTo"), exports);
__exportStar(require("./classes/BaseLayer/ila/ILAData"), exports);
var importILA_1 = require("./importILA");
Object.defineProperty(exports, "importILA", { enumerable: true, get: function () { return __importDefault(importILA_1).default; } });
var Layer_1 = require("./classes/Layer/Layer");
Object.defineProperty(exports, "Layer", { enumerable: true, get: function () { return __importDefault(Layer_1).default; } });
var createLayer_1 = require("./createLayer");
Object.defineProperty(exports, "createLayer", { enumerable: true, get: function () { return __importDefault(createLayer_1).default; } });
var ShapeLayer_1 = require("./classes/ShapeLayer/ShapeLayer");
Object.defineProperty(exports, "ShapeLayer", { enumerable: true, get: function () { return __importDefault(ShapeLayer_1).default; } });
var Polygon_1 = require("./classes/Polygon/Polygon");
Object.defineProperty(exports, "Polygon", { enumerable: true, get: function () { return __importDefault(Polygon_1).default; } });
var createPolygon_1 = require("./createPolygon");
Object.defineProperty(exports, "createPolygon", { enumerable: true, get: function () { return __importDefault(createPolygon_1).default; } });
var Ellipse_1 = require("./classes/Ellipse/Ellipse");
Object.defineProperty(exports, "Ellipse", { enumerable: true, get: function () { return __importDefault(Ellipse_1).default; } });
var createEllipse_1 = require("./createEllipse");
Object.defineProperty(exports, "createEllipse", { enumerable: true, get: function () { return __importDefault(createEllipse_1).default; } });
var TextLayer_1 = require("./classes/TextLayer/TextLayer");
Object.defineProperty(exports, "TextLayer", { enumerable: true, get: function () { return __importDefault(TextLayer_1).default; } });
Object.defineProperty(exports, "DEFAULT_FONT_SIZE", { enumerable: true, get: function () { return TextLayer_1.DEFAULT_FONT_SIZE; } });
var createTextLayer_1 = require("./createTextLayer");
Object.defineProperty(exports, "createTextLayer", { enumerable: true, get: function () { return __importDefault(createTextLayer_1).default; } });
var ClippingMask_1 = require("./classes/ClippingMask/ClippingMask");
Object.defineProperty(exports, "ClippingMask", { enumerable: true, get: function () { return __importDefault(ClippingMask_1).default; } });
var createClippingMask_1 = require("./createClippingMask");
Object.defineProperty(exports, "createClippingMask", { enumerable: true, get: function () { return __importDefault(createClippingMask_1).default; } });
__exportStar(require("./color"), exports);
