"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const internal_1 = require("../../internal");
const toBuffer_1 = __importDefault(require("./toBuffer"));
class ClippingMask extends internal_1.BaseLayer {
    constructor(clippingMaskData, document) {
        super(clippingMaskData, document);
        this.type = internal_1.LAYER_TYPE_CLIPPING_MASK;
        this.mask = clippingMaskData.mask;
        this.source = clippingMaskData.source;
    }
    toBuffer() {
        return toBuffer_1.default(this);
    }
}
exports.default = ClippingMask;
