/// <reference types="node" />
import { Document, LAYER_TYPE_ELLIPSE, ShapeData, ShapeLayer, ShapeLayerData } from "../../internal";
export declare type EllipseShapeData = ShapeData;
export interface EllipseData extends ShapeLayerData {
    shape: EllipseShapeData;
}
export default class Ellipse extends ShapeLayer {
    type: typeof LAYER_TYPE_ELLIPSE;
    constructor(ellipseData: EllipseData, document?: Document);
    static ellipseSVG(ellipseShapeData: EllipseShapeData): string;
    toSVG(): string;
    static ellipseBuffer(ellipseShapeData: EllipseShapeData): Buffer;
    toBuffer(): Buffer;
}
